<?php
$page_title="Categories";
require "header.php";
?>
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <?php
	   include "breadcrumb.php";
	   ?>

    <!-- Main content -->
    <section class="content">
      <!-- Info boxes -->
      <div class="row">
	  <div class="col-md-3">
	  <p class="text">Hits on lodging categories</p>
	  </div>
	  </div>
	   <div class="row">
<?php
//get hits from hits table
$query=selectMysql($pdo, "SELECT * FROM apartment_stats");
while($row=$query->fetch(PDO::FETCH_ASSOC)){
echo '<div class="col-md-3 col-sm-6 col-xs-12">
          <div class="info-box">
            <span class="info-box-icon bg-aqua"><i class="fa fa-building"></i></span>
            <div class="info-box-content">
              <span class="info-box-text">'.$row['category'].'</span>
              <span class="info-box-number">'.$row['hits'].'<small> hits</small></span>
            </div>
            <!-- /.info-box-content -->
          </div>
          <!-- /.info-box -->
        </div>';
}
?>
</div>

<div class="row">
        <div class="col-xs-12">
         

          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Rents Starting today</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <table id="example1" class="table table-bordered table-striped">
                <thead>
                <tr>
                   <th>S/N</th>
                  <th>Client Name</th>
				  <th>Date/Time</th>
				  <th>Lodging</th>
				  <th>Vehicle</th>
				  <th>Rent Starts</th>
				  <th>Rent Expires</th>
				  <th>Full Booking Info</th>
				 
                </tr>
                </thead>
                <tbody>
				<?php
				$sn=1;
				
				$morn_timestamp = strtotime('today midnight');
				$night_timestamp=$morn_timestamp+86399;
					$booking_query=selectMysql($pdo, "SELECT * FROM booking WHERE rent_start>='".$morn_timestamp."' AND rent_start<='".$night_timestamp."' ORDER BY ID DESC");
				
				while($row=$booking_query->fetch(PDO::FETCH_ASSOC)){
					$client=getUserInfo($row['client_id']);
					$vehicle=getVehicleInfo($row['vehicle_id']);
				
				//$apartment=getVehicleInfo($row['apartment_id']);
					echo '<tr>
                  <td>'.$sn.'</td>
				  <td>'.$client['fname'].' '.$client['surname'].'</td>
                  <td>'. date('j F, Y', $row['booking_timestamp']).'</td>';
				  if($row['apartment_id']==0){
					  echo '<td>Lodging Not Included</td>';
				  }else{
					  echo '<td>Lodging Included</td>';
				  }
				  
				  echo '<td>'.$vehicle['name'].'</td>
				  
				  <td>'.date('j F, Y', $row['rent_start']).'</td>
				  <td>'.date('j F, Y', $row['rent_end']).'</td>
				  
				  <td><a href="singlebooking.php?id='.$row['ID'].'" class="btn btn-info btn-sm"><i class="fa fa-book"></i> </a>
				  
                </tr>';
				$sn++;
				}
				?>

                </tbody>
                <tfoot>
                <tr>
				<th>Client Name</th>
				  <th>Date/Time</th>
				  <th>Lodging</th>
				  <th>Vehicle</th>
				  <th>Rent Starts</th>
				  <th>Rent Expires</th>
				  <th>Full Booking Info</th>
                </tr>
                </tfoot>
              </table>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>
        <!-- /.col -->
      </div>
  
<div class="row">
        <div class="col-xs-12">
         

          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Rents Expiring today</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <table id="example2" class="table table-bordered table-striped">
                <thead>
                <tr>
                   <th>S/N</th>
                  <th>Client Name</th>
				  <th>Date/Time</th>
				  <th>Lodging</th>
				  <th>Vehicle</th>
				  <th>Rent Starts</th>
				  <th>Rent Expires</th>
				  <th>Full Booking Info</th>
				 
                </tr>
                </thead>
                <tbody>
				<?php
				$sn=1;
				
				$morn_timestamp = strtotime('today midnight');
				$night_timestamp=$morn_timestamp+86399;
					$booking_query=selectMysql($pdo, "SELECT * FROM booking WHERE rent_start>='".$morn_timestamp."' AND rent_end<='".$night_timestamp."' ORDER BY ID DESC");
				
				while($row=$booking_query->fetch(PDO::FETCH_ASSOC)){
					$client=getUserInfo($row['client_id']);
					$vehicle=getVehicleInfo($row['vehicle_id']);
				
				//$apartment=getVehicleInfo($row['apartment_id']);
					echo '<tr>
                  <td>'.$sn.'</td>
				  <td>'.$client['fname'].' '.$client['surname'].'</td>
                  <td>'. date('j F, Y', $row['booking_timestamp']).'</td>';
				  if($row['apartment_id']==0){
					  echo '<td>Lodging Not Included</td>';
				  }else{
					  echo '<td>Lodging Included</td>';
				  }
				  
				  echo '<td>'.$vehicle['name'].'</td>
				  
				  <td>'.date('j F, Y', $row['rent_start']).'</td>
				  <td>'.date('j F, Y', $row['rent_end']).'</td>
				  
				  <td><a href="singlebooking.php?id='.$row['ID'].'" class="btn btn-info btn-sm"><i class="fa fa-book"></i> </a>
				  
                </tr>';
				$sn++;
				}
				?>

                </tbody>
                <tfoot>
                <tr>
				<th>S/N</th>
                  <th>Client Name</th>
				  <th>Date/Time</th>
				  <th>Lodging</th>
				  <th>Vehicle</th>
				  <th>Rent Starts</th>
				  <th>Rent Expires</th>
				  <th>Full Booking Info</th>
                </tr>
                </tfoot>
              </table>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>
        <!-- /.col -->
      </div>

  </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
<?php
include "footer.php";
?>
</body>
</html>