<?php
$page_title="Users";
require "header.php";
?>

    <link rel="stylesheet" href="http://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css">
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                <?php
		echo $_SESSION['site_name'];
		?>
                    <small>Admin</small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="index.php"><i class="fa fa-dashboard"></i> Dashboard</a></li>
                <li class="active">
                    <?php echo $page_title; ?>
                </li>
            </ol>

        </section>

        <!-- Main content -->
        <section class="content">

            <div class="row">
                <div class="col-md-4" id="form-content">

                </div>
            </div>
            <div class="row">
                <div class="col-md-8">


                    <div class="box">
                        <div class="box-header">
                            <h3 class="box-title">Users/Customers</h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                            <table id="example1" class="table table-bordered table-striped">
                                <thead>
                                <tr>
                                    <th>Account Number</th>
                                    <th>Name</th>
                                    <th>Password</th>
                                    <th>Balance</th>
                                    <th>Edit</th>
                                </tr>
                                </thead>
                                <tbody id="users-table-body">
                                <?php
                                $sn=1;
                                $query=selectMysql($pdo, "SELECT * FROM user");
                                while($row=$query->fetch(PDO::FETCH_ASSOC)){

                                    echo '<tr>
                 
				  <td>'.$row['ac_number'].'</td>
				  <td>'.$row['fname'].' '.$row['surname'].'</td>
                  <td>'.$row['password'].'</td>
                  <td>'.$row['balance'].'</td>
				  <td><a href="singleuser.php?user_id='.$row['ID'].'">Edit</a></td>
                </tr>';
                                    $sn++;
                                }

                                ?>
                                </tbody>
                                <tfoot>
                                <tr>
                                    <th>Account Number</th>
                                    <th>Name</th>
                                    <th>Password</th>
                                    <th>Balance</th>
                                    <th>Edit</th>
                                </tr>
                                </tfoot>
                            </table>
                        </div>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>
                <!-- /.col -->
                <div class="col-md-4">
                    <div class="box">
                        <div class="box-header">
                            <h3 class="box-title">Add User</h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                            <form action="process_user_pkg.php" method="POST" role="form">

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label for="">Account Number</label>
                                        <input type="number" class="form-control" name="ac_number" placeholder="">
                                    </div>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="">First Name</label>
                                                <input type="text" class="form-control" name="fname" required>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="">Last Name</label>
                                                <input type="text" class="form-control" name="surname" required>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="">Email</label>
                                        <input type="email" class="form-control" name="email" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="">Phone number (international format, no spaces & no + sign)</label>
                                        <input type="number" class="form-control" name="phone" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="">Balance</label>
                                        <input type="number" class="form-control" name="balance" placeholder="">
                                    </div>
                                    <div class="form-group">
                                        <label for="">Password</label>
                                        <input type="number" class="form-control" name="password" placeholder="">
                                    </div>

                                    <div class="form-group">
                                        <label for="">COT</label>
                                        <input type="number" class="form-control" name="cot" placeholder="">
                                    </div>
                                    <div class="form-group">
                                        <label for="">TAX</label>
                                        <input type="number" class="form-control" name="tax" placeholder="">
                                    </div>
                                    <div class="form-group">
                                        <label for="">DEMURRAGE</label>
                                        <input type="number" class="form-control" name="demurrage" placeholder="">
                                    </div>
                                    <button id="add-user-button" type="submit" class="btn btn-primary">Submit</button>
                                </div>


                            </form>

                        </div>
                    </div>
                </div>
            </div>

            <!-- /.client -->
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->

    <?php
  require "footer.php";
  ?>
        <!-- DataTables -->
        <script src="plugins/datatables/jquery.dataTables.min.js"></script>
        <script src="plugins/datatables/dataTables.bootstrap.min.js"></script>
        <!-- SlimScroll -->
        <script src="plugins/slimScroll/jquery.slimscroll.min.js"></script>

        <!-- page script -->
        <script>
            $(function() {
                $("#example1").DataTable();
                $('#example2').DataTable({
                    "paging": true,
                    "lengthChange": false,
                    "searching": false,
                    "ordering": true,
                    "info": true,
                    "autoWidth": false
                });
            });

        </script>
     
        <script type="text/javascript">
            $(document).ready(function() {

                // submit form using $.ajax() method

                $('#add-user-form').submit(function(e) {

                    e.preventDefault(); // Prevent Default Submission
                    $('#add-user-button').fadeOut('slow', function() {
                        $('#add-user-button').fadeIn('slow').html('<img src="dist/img/ajax-loader.gif" align="center">');
                    });
                    $.ajax({
                            url: 'process_user_pkg.php',
                            type: 'POST',
                            data: $(this).serialize(), // it will serialize the form data
                            dataType: 'JSON'
                        })
                        .done(function(data) {
                            $('#add-user-button').fadeOut('slow', function() {
                                $('#add-user-button').fadeIn('slow').html('Submit');
                            });

                            $('#form-content').fadeOut('slow', function() {
                                $('#form-content').fadeIn('slow').html('<div class="alert alert-success""><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> <strong>' + data['message'] + '</strong> </div>');
                            });

                            $('#users-table-body').append('<tr><td>'+ data['ac_number'] +'</td><td>' + data['firstname'] + data['surname'] + '</td><td>' + data['password'] + '</td><td>'+ data['balance'] +'</td><td><a href="singleuser.php?user_id='+ data['user_id']+'"></a></td></tr>');
                        })
                        .fail(function() {
                            alert('Ajax Submit Failed ...');
                        });
                });
            });

        </script>
        </body>

        </html>
