<?php
$page_title="Sub-Categories";
require "header.php";
?>
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
       <?php
	   include "breadcrumb.php";
	   ?>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-sm-6">
                    <div class="box box-default collapsed-box">
                        <div class="box-header with-border">
                            <h3 class="box-title">Enter New Sub-category Data</h3>

                            <div class="box-tools pull-right">
                                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-plus"></i> </button>
                            </div>
                            <!-- /.box-tools -->
                        </div>
                        <!-- /.box-header -->
                        <form id="new-category-form" enctype="multipart/form-data">
                            <div id="new-category-form-content" class="box-body">
                                
                                <div class="form-group">
                                    <label for="">Category Name</label>
                                    <select class="form-control" name="category">
									<?php
									$query=selectMysql($pdo, "SELECT * FROM category" );
										while($row=$query->fetch(PDO::FETCH_ASSOC)){
											echo '<option>'.$row['category'].'</option>';
										}
									?>
									</select>
									
                                </div>
                                <div class="form-group">
                                    <label for="">Sub-Category Name</label>
                                    <input class="form-control" name="sub_category" type="text">
                                </div>

                            </div>
                            <!-- /.box-body -->

                            <div class="box-footer">
                                <button type="submit" class="btn btn-primary">Submit</button>
                                <div style="margin-bottom: 2em;"></div>
                                <div class="row">
                                    <div class="col-md-12" id="new-category">
                                    </div>
                                </div>
                            </div>

                        </form>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>
                <!-- /.col -->
            </div>
            <div class="row">

          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Data Table With Full Features</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <table id="example1" class="table">
                <thead>
                <tr>
				  <th>S/N</th>
                  <th>Sub-Category</th>
                  <th>Category</th>
                  <th>Edit</th>
                  
                </tr>
                </thead>
                <tbody>
				<?php
				$sn=1;
				$booking_query=selectMysql($pdo, "SELECT * FROM sub_category");
				while($row=$booking_query->fetch(PDO::FETCH_ASSOC)){
					
					
					echo '<tr>
                  <td>'.$sn.'</td>
				  <td>'.$row['sub_category'].'</td>';
				 
				  $category=getCategoryInfo($row['category_id']);
				  echo '
                  <td>'.$category['category'].'</td>';
				  ?>
				  <td><button type="button" onclick="setEditInfo('<?php echo $row['sub_category']; ?>', '<?php echo $row['category']; ?>', '<?php echo $row['ID']; ?>')" class="btn btn-primary btn-sm" data-target="#editSubCategoryModal" data-toggle="modal"><i class="fa fa-edit"></i></button>
				 </td>
				 <?php
				 echo '</tr>';
				$sn++;
				}
				?>
                </tbody>
				<tfoot>
				<tr>
				  <th>S/N</th>
                  <th>Sub-Category</th>
                  <th>Category</th>
                  <th>Edit</th>
                </tr>
                </tfoot>
              </table>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
			<!-- /.col -->
            </div>
            <!-- /.client -->
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->

	
	<div class="modal fade" id="editSubCategoryModal" role="dialog">
    <div class="modal-dialog">
    
      <!-- Modal content-->
      <div class="modal-content">
	  <div>
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Edit this Sub-Category</h4>
        </div>
        <div class="modal-body">
		<div id="edit-category-form-content"></div>
		<form action="editcategory.php" method="POST">
		<div class="form-group input-group">
			<label>Sub-Category Name</label>
			 <input class="form-control" type="text" id="sub_category" name="sub_category" value="">
		</div>
		<div class="form-group input-group">
			<label>Category Name</label>
			 <select class="form-control" id="category" name="category">
			 <option id="current_category"></option>
			 <?php
			 $query=selectMysql($pdo, "SELECT * FROM category" );
					while($row=$query->fetch(PDO::FETCH_ASSOC)){
						echo '<option>'.$row['category'].'</option>';
					}
			?>
			 </select>
		</div>
			
		<input type="hidden" id="sub_category_id" name="sub_category_id" value="">
			  <div id="edit-category-button">
				  <button type="submit" class="btn btn-danger btn-flat">Proceed</button>
			  </div>
		</form>
		
		  </div>
        </div>
        <div class="modal-footer">
			<button type="button" class="btn btn-default"  data-dismiss="modal">Dismiss</button>
        </div>
      </div>
			</div>
			</div>

    <?php
  require "footer.php";
  ?>
  <!-- DataTables -->
<script src="plugins/datatables/jquery.dataTables.min.js"></script>
<script src="plugins/datatables/dataTables.bootstrap.min.js"></script>
<!-- SlimScroll -->
<script src="plugins/slimScroll/jquery.slimscroll.min.js"></script>

<!-- page script -->
<script>
  $(function () {
    $("#example1").DataTable();
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false
    });
  });
</script>
        <script>
            $(document).ready(function() {
                // submit form using $.ajax() method

                $('#new-category-form').submit(function(e) {
                    e.preventDefault(); // Prevent Default Submission
                    //show loading animation
                    $('#new-category-button').fadeOut('slow', function() {
                        $('#new-category-button').fadeIn('slow').html('<img src="../img/ajax-loader.gif" align="center">');
                    });

                    $.ajax({
                            url: 'processnewsubcategory.php',
                            type: 'POST',
                            data: new FormData(this),
                            //data: $(this).serialize(), // it will serialize the form data
                            processData: false,
                            contentType: false
                        })
                        .done(function(data) {
                            $('#new-category').fadeOut('slow', function() {
                                $('#new-category').fadeIn('slow').html(data);
                            });
                        })
                        .fail(function() {
                            alert('Ajax Submit Failed ...');
                        });
                });
            });

        </script>
		 <script>
            $(document).ready(function() {
                // submit form using $.ajax() method

                $('#edit-subcategory-form').submit(function(e) {
                    e.preventDefault(); // Prevent Default Submission
                    //show loading animation
                    $('#edit-subcategory-button').fadeOut('slow', function() {
                        $('#edit-subcategory-button').fadeIn('slow').html('<img src="../img/ajax-loader.gif" align="center">');
                    });

                    $.ajax({
                            url: 'editsubcategory.php',
                            type: 'POST',
                            data: new FormData(this),
                            //data: $(this).serialize(), // it will serialize the form data
                            processData: false,
                            contentType: false
                        })
                        .done(function(data) {
                            $('#edit-subcategory').fadeOut('slow', function() {
                                $('#edit-subcategory').fadeIn('slow').html(data);
                            });
                        })
                        .fail(function() {
                            alert('Ajax Submit Failed ...');
                        });
                });
            });

        </script>
		
		<script>
		function setEditInfo(sub_category, category, category_id){
			document.getElementById("sub_category").value = sub_category; 
			document.getElementById("category").options.item(0).text = category;
			document.getElementById("sub_category_id").value = sub_category_id; 
		}
		</script>
</body>
</html>