<?php
$page_title="Search Hits";
include "header.php";
?>
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Search Hits
        
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li class="active">Search Hits</li>
      </ol>
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-md-8">
          <!-- category search table -->
		  <div class="box">
            <div class="box-header">
              <h3 class="box-title">Search Hits for Categories</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body no-padding">
              <table class="table table-condensed">
                <tbody>
				<tr>
                  <th style="width: 10px">#</th>
                  <th>Term</th>
                  <th>Bar</th>
                  <th style="width: 40px">Number of Hits</th>
                </tr>
				<?php
				$sn=1;
				$query=selectMysql($pdo, "SELECT * FROM category_search_hits");
				$sum_hits=0;
				while($row=$query->fetch(PDO::FETCH_ASSOC)){
					$sum_hits+=$row['hits'];
				}
				
				$query=selectMysql($pdo, "SELECT * FROM category_search_hits");
				while($row=$query->fetch(PDO::FETCH_ASSOC)){
				$percent=($row['hits']/$sum_hits)*100;	
					?>
				<tr>
                  <td><?php echo $sn; ?></td>
                  <td><?php echo $row['category']; ?></td>
                  <td>
                    <div class="progress progress-xs">
                      <div class="progress-bar progress-bar-info" style="width: <?php echo $percent; ?>%"></div>
                    </div>
                  </td>
                  <td><span class="badge bg-green"><?php echo $row['hits']; ?></span></td>
                </tr>
					<?php
					$sn++;
				}
				?>
                </tbody>
				</table>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->

        </div>
        <!-- /.col (RIGHT) -->
      </div>
      <!-- /.row -->

	  <div class="row">
        <div class="col-md-8">
          <!-- category search table -->
		  <div class="box">
            <div class="box-header">
              <h3 class="box-title">Search Hits for Sub-Categories</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body no-padding">
              <table class="table table-condensed">
                <tbody>
				<tr>
                  <th style="width: 10px">#</th>
                  <th>Term</th>
                  <th>Bar</th>
                  <th style="width: 40px">Number of Hits</th>
                </tr>
				<?php
				$sn=1;
				$query=selectMysql($pdo, "SELECT * FROM sub_cat_search_hits");
				$sum_hits=0;
				while($row=$query->fetch(PDO::FETCH_ASSOC)){
					$sum_hits+=$row['hits'];
				}
				
				$query=selectMysql($pdo, "SELECT * FROM sub_cat_search_hits");
				while($row=$query->fetch(PDO::FETCH_ASSOC)){
				$percent=($row['hits']/$sum_hits)*100;	
					?>
				<tr>
                  <td><?php echo $sn; ?></td>
                  <td><?php echo $row['sub_category']; ?></td>
                  <td>
                    <div class="progress progress-xs">
                      <div class="progress-bar progress-bar-success" style="width: <?php echo $percent; ?>%"></div>
                    </div>
                  </td>
                  <td><span class="badge bg-red"><?php echo $row['hits']; ?></span></td>
                </tr>
					<?php
					$sn++;
				}
				?>
                </tbody>
				</table>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->

        </div>
        <!-- /.col (RIGHT) -->
      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  <?php
  include "footer.php";
  ?>
  
</body>
</html>