<?php
$page_title="Tickets";
require "header.php";
?>

    <!-- Content Wrapper. Contains page content -->
    <?php include "breadcrumbs.php"; ?>
    <div class="col-md-12">
        <div class="box box-primary">
            <div class="box-header with-border">
                <h3 class="box-title">
                    <?php echo $page_title; ?>
                </h3>
                <h5>Click on a ticket ID to view details about that ticket</h5>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
                <table id="example1" class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th>User Name</th>
                            <th>Subject</th>
                            <th>Ticket ID</th>
                            <th>Category</th>
                            <th>Status</th>
                            <th>Date/Time Updated</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                            $query= selectMysql($pdo, "SELECT COUNT(*) FROM support_ticket WHERE assigned_to='".$_SESSION['admin_id']."'");
                            $num_row=$query->fetchColumn();
                            if($num_row == 0){
                                echo 'No tickets';
                            }else{
                                $t_query= selectMysql($pdo, "SELECT * FROM support_ticket WHERE assigned_to='".$_SESSION['admin_id']."' ORDER BY ID DESC");
                                while($row=$t_query->fetch(PDO::FETCH_ASSOC)){
                                    $category=getCategoryInfo($row['category_id']);
                                    $user= getUserInfo($row['sender_id']);
                                    echo '<tr>
                                    <td>'.$user['fname'].' '.$user['surname'].'</td>
                                    <td>'.$row['subject'].'</td>
                                    <td><a href="ticket.php?ticket_id='.$row['ticket_id'].'">'.$row['ticket_id'].'</a></td>
                                    <td>'.$category['name'].'</td>
                                    <td>';
                                    if($row['status'] == 'Waiting for Admin'){
                                        echo '<span class="text-danger">'.$row['status'].'</span>';
                                    }else{
                                        echo $row['status'];
                                    }
                                    echo '
                                        </td>
                                    <td>'.$row['time_created'].'</td>
                                    </tr>';
                                }
                            }
                            ?>
                    </tbody>
                    <tfoot>
                        <tr>
                            <th>User Name</th>
                            <th>Subject</th>
                            <th>Ticket ID</th>
                            <th>Category</th>
                            <th>Status</th>
                            <th>Date/Time Updated</th>
                        </tr>
                    </tfoot>
                </table>
            </div>


        </div>
        <!-- /.col -->
    </div>
    <!-- /.row -->
    </section>
    <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
    <?php
include "footer.php";
?>
        <!-- iCheck -->
        <script src="plugins/iCheck/icheck.min.js"></script>

        <!-- DataTables -->
        <script src="plugins/datatables/jquery.dataTables.min.js"></script>
        <script src="plugins/datatables/dataTables.bootstrap.min.js"></script>
        <!-- page script -->
        <script>
            $(function() {
                $("#example1").DataTable();
                $('#example2').DataTable({
                    "paging": true,
                    "lengthChange": false,
                    "searching": false,
                    "ordering": true,
                    "info": true,
                    "autoWidth": false
                });
            });

        </script>

        </body>

        </html>
