<?php
$page_title="Full User Info";
require "header.php";
?>
    <script>
        function reloadThisPage() {
            setTimeout(location.reload(forceGet), 4000);
        }

    </script>
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                <?php
		echo $_SESSION['site_name'];
		?>
                    <small>Admin</small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="index.php"><i class="fa fa-dashboard"></i> Dashboard</a></li>
                <li><a href="users.php">Users</a></li>
                <li class="active">User-Package Info</li>
            </ol>
        </section>

        <!-- Main content -->
        <section class="content">

            <?php
			$id=NULL;
			if(!isset($_GET['user_id'])){
				//redirect back to bookings.php
				echo '<script type="text/javascript">
		location.href="users.php";
		</script>';
			}else{
				$id=$_GET['user_id'];
			}
			$user=getUserInfo($id);
			if($user){
                extract($user);
            }else{
			    ?>
			    <script>
                    location.href = 'users.php';
                </script>
                    <?php
            }

                        //$transit_history= getRowData($id, 'pkg');
			?>

            <div class="row">
                <div class="col-md-4">
                    <div class="box">
                        <div class="box-header">
                            <h3 class="box-title">Review User Info</h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                            <form id="add-user-form" action="update_user_pkg.php" method="POST" role="form">

                                        <div class="form-group">
                                            <label for="">Account Number</label>
                                            <input type="number" class="form-control" name="ac_number" value="<?php echo $ac_number; ?>">
                                        </div>

                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="">First Name</label>
                                                <input type="text" class="form-control" name="fname" value="<?php echo $fname; ?>" required>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="">Last Name</label>
                                                <input type="text" class="form-control" name="surname" value="<?php echo $surname; ?>" required>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="">Phone number (international format, no spaces & no + sign)</label>
                                        <input type="number" class="form-control" name="phone" value="<?php echo $phone; ?>"  required>
                                    </div>
                                    <div class="form-group">
                                        <label for="">Email</label>
                                        <input type="email" class="form-control" name="email" value="<?php echo $email; ?>"  required>
                                    </div>
                                        <div class="form-group">
                                            <label for="">Password</label>
                                            <input type="number" class="form-control" name="password" value="<?php echo $password; ?>">
                                        </div>

                                <h4>Codes</h4>
                                <?php
                                foreach (getUserCodes($id) as $row){
                                    ?>
                                        <div class="form-group">
                                            <label for=""><?php echo $row['code_name']; ?></label>
                                            <input type="number" class="form-control" name="<?php echo $row['code_name']; ?>" value="<?php echo $row['answer']; ?>">
                                        </div>
                                <?php
                                }
                                ?>
                                        <div class="form-group">
                                            <label for="">Balance</label>
                                            <input type="number" class="form-control" name="balance" value="<?php echo $balance; ?>">
                                        </div>

                                <div class="form-group">
                                    <label>Active Status</label>
                                    <select name="active" class="form-control">
                                        <option value="<?php echo $active; ?>"><?php echo $active; ?></option>
                                        <option value="false">false</option>
                                        <option value="true">true</option>
                                    </select>
                                </div>
                                    <input type="hidden" name="id" value="<?php echo $id; ?>">
<button type="submit" class="btn btn-info">Submit</button>

                            </form>


                        </div>
                    </div>
                </div>

                <div class="col-md-8">
                    <div class="box">
                        <div class="box-header">
                            <h3 class="box-title">User Transactions</h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                            <table id="example1" class="table table-bordered table-striped">
                                <thead>
                                <tr>
                                    <th>S/N</th>
                                    <th>Amount</th>
                                    <th>Type</th>
                                    <th>Receiving Account</th>
                                    <th>Date/Time</th>
                                </tr>
                                </thead>
                                <tbody id="users-table-body">
                                <?php
                                $sn=1;
                                $query=selectMysql($pdo, "SELECT * FROM transaction where user_id='".$id."'");
                                while($row=$query->fetch(PDO::FETCH_ASSOC)){

                                    echo '<tr>
                  <td>'.$sn.'</td>
				  <td>'.$row['amount'].'</td>
				  <td>'.$row['trans_type'].'</td>
				  <td>'.$row['receiving_account'].'</td>
				  <td>'.$row['date_created'].'</td>
                </tr>';
                                    $sn++;
                                }

                                ?>
                                </tbody>
                                <tfoot>
                                <tr>
                                    <th>S/N</th>
                                    <th>Amount</th>
                                    <th>Type</th>
                                    <th>Receiving Account</th>
                                    <th>Date/Time</th>
                                </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <button class="btn btn-danger" data-toggle="modal" data-target="#deleteRecord">Delete this User</button>

                    <div class="modal modal-danger" id="deleteRecord">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span></button>
                                    <h4 class="modal-title">Delete User Record?</h4>
                                </div>
                                <div class="modal-body">
                                    <p>Proceeding will completely delete this user's data from the database</p>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-outline pull-left" data-dismiss="modal">Close</button>
                                    <form action="deleteuser.php" method="post">
                                        <input type="hidden" name="mem_id" value="<?php echo $id; ?>">
                                        <button type="submit" class="btn btn-outline">Proceed</button>
                                    </form>

                                </div>
                            </div>
                            <!-- /.modal-content -->
                        </div>
                        <!-- /.modal-dialog -->
                    </div>
                    <!-- /.modal -->
                </div>
                <!-- /.box -->
            </div>
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
    <?php
  require "footer.php";
  ?>


        </body>

        </html>
